Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.metaclass
Class MethodSelectionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  groovy.lang.GroovyRuntimeException
                      org.codehaus.groovy.runtime.metaclass.MethodSelectionException

All Implemented Interfaces:
  Serializable

    public class MethodSelectionException
    extends GroovyRuntimeException

This exception is thrown if the runtime is unable to select a method. This class builds the exception text when calling getMessage.
Note: This exception as for internal use only!

Since:
  Groovy 1.1
Author:
  Jochen Theodorou
See Also:
  Serialized Form

Constructor Summary
Constructor and Description
`MethodSelectionException(String methodName, FastArray methods, Class[] arguments)` Creates a new MethodSelectionException.

Method Summary
Modifier and Type | Method and Description
--- | ---
`String` | `getMessage()`

Methods inherited from class groovy.lang.GroovyRuntimeException
`getLocationText, getMessageWithoutLocationText, getModule, getNode, setModule`

Methods inherited from class java.lang.Throwable
`addSuppressedException, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressedExceptions, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MethodSelectionException

    public MethodSelectionException(String methodName,
                                    FastArray methods,
                                    Class[] arguments)

  Creates a new MethodSelectionException.

  Parameters:
    `methodName` - name of the method
    `methods` - a FastArray of methods
    `arguments` - the method call argument classes

Method Detail

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `GroovyRuntimeException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD